diff options
Diffstat (limited to 'mesalib/bin')
-rw-r--r-- | mesalib/bin/extract_git_sha1 | 40 |
1 files changed, 20 insertions, 20 deletions
diff --git a/mesalib/bin/extract_git_sha1 b/mesalib/bin/extract_git_sha1 index c2994ff09..828387016 100644 --- a/mesalib/bin/extract_git_sha1 +++ b/mesalib/bin/extract_git_sha1 @@ -1,20 +1,20 @@ -#!/bin/sh
-if [ ! -f src/mesa/main/git_sha1.h ]; then
- touch src/mesa/main/git_sha1.h
-fi
-
-if [ ! -d .git ]; then
- exit
-fi
-
-if which git > /dev/null; then
- # Extract the 7-digit "short" SHA1 for the current HEAD, convert
- # it to a string, and wrap it in a #define. This is used in
- # src/mesa/main/version.c to put the GIT SHA1 in the GL_VERSION string.
- git log -n 1 --oneline |\
- sed 's/^\([^ ]*\) .*/#define MESA_GIT_SHA1 "git-\1"/' \
- > src/mesa/main/git_sha1.h.tmp
- if ! cmp -s src/mesa/main/git_sha1.h.tmp src/mesa/main/git_sha1.h; then
- mv src/mesa/main/git_sha1.h.tmp src/mesa/main/git_sha1.h
- fi
-fi
+#!/bin/sh +if [ ! -f src/mesa/main/git_sha1.h ]; then + touch src/mesa/main/git_sha1.h +fi + +if [ ! -d .git ]; then + exit +fi + +if which git > /dev/null; then + # Extract the 7-digit "short" SHA1 for the current HEAD, convert + # it to a string, and wrap it in a #define. This is used in + # src/mesa/main/version.c to put the GIT SHA1 in the GL_VERSION string. + git log -n 1 --oneline |\ + sed 's/^\([^ ]*\) .*/#define MESA_GIT_SHA1 "git-\1"/' \ + > src/mesa/main/git_sha1.h.tmp + if ! cmp -s src/mesa/main/git_sha1.h.tmp src/mesa/main/git_sha1.h; then + mv src/mesa/main/git_sha1.h.tmp src/mesa/main/git_sha1.h + fi +fi |